Subject: Re: PCI changes 2.6.26 => 2.6.28

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 27 Apr 2009 23:17:32 +1000

On Thu, 2009-04-23 at 16:27 -0600, Gary Thomas wrote:

> I don't think any of this matters.  It turns out that even
> the 2.6.26 kernel fails on an identical board with a newer
> revision of the 8347 chip.  I'm sure that the problem is
> that the Coral-P fails when mapped to 0 (PCI relative).

There are macro that the PCI code uses to define the min address to
assign to devices but it's broken for us as it doesn't account
for the kind of remapping we do... I've been wanting to fix those
for some time but didn't get a chance yet, that would sort this out.

Ben.